#ifndef METER_H
#define METER_H
#include <qlabel.h>
#include <qwidget.h>
#include "sndctrl.h"

class Meter : public QFrame
{
Q_OBJECT
 public:
    Meter(Sound * soundApp, QWidget * parent=NULL, const char * name=NULL);
    ~Meter();
 public slots:
    void newDataReady(int channels, int frameSize, signed short** data);
 private:
    SoundReceiver * receiver;
    QPixmap * pm;
    long long * last;
 protected:
    void paintEvent(QPaintEvent *);
};

#endif
