
#ifndef SOUNDLOW_H
#define SOUNDLOW_H

#include <stdio.h>
#include <malloc.h>
#include <unistd.h>
#include <stdlib.h>
#include <string.h>
#include <fcntl.h>
#include <ctype.h>
#include <errno.h>
extern "C" {
#include <sys/asoundlib.h>
}

class SoundCard
{
 public:
    SoundCard(int numberOfCards, int desiredRate, int desiredBufferSize);
    ~SoundCard();
    void go();
    void read(signed short *data);
 private:
    snd_pcm_t **pcm_handle;
    snd_pcm_format_t rformat, format;
    int bufferSize;
    int cards;
    int rate;
    void open(void);
    void close(void);
    bool captureReadError(int card);
};
#endif
