#include <qlabel.h>
#include "sndctrl.h"

class Minenergy : public QFrame
{
Q_OBJECT
public:
    Minenergy(int horizontalAngle, int verticalAngle, bool verboseMode,
              Sound * soundApp, QWidget * parent=NULL, char * name=NULL);
    ~Minenergy();
public slots:
    void newDataReady(int channels, int frameSize, signed short** data);
signals:
    void sweepTo(double theta, double phi);private:
    SoundReceiver * receiver;
    QPixmap * pm;
    int sampleRate;
    int pos;
    double t,p;
    int hAngle, vAngle;
    bool verbose;
 protected:
    void paintEvent(QPaintEvent *);
};
