// Testing Routine

#include <qapplication.h>
#include <unistd.h>
#include "sndctrl.h"
#include "meter.h"
#include "correlator.h"
#include "oszi.h"
#include "beamformer.h"
#include "phasecorr.h"
#include "minenergy.h"
#include "speechactivity.h"
#include "outputplugin.h"
#include "showmicpos.h"

void printhelp(void)
{
  fprintf("
}

int main(int argc, char ** argv)
{
  // first: check command-line parameters
  Qstring s;
  int i;
  for (i=1; i<argc; i++) {
    
  }
   Sound * soundApp;
   Meter * meter;
   Correlator * correlator;
   Oszi * oszi;
   Beamformer * beamformer;
   Phasecorr * phasecorr;
   Minenergy * minenergy;
   Outputplugin * outputplugin;
   ShowMicPos * showmicpos;
   QApplication a(argc, argv);

   soundApp = new Sound(4,48000,MODE_NORMAL); 
   //meter = new Meter(soundApp,NULL);
   //correlator = new Correlator(soundApp,NULL); correlator->setCaption("Correlator 1");
   //beamformer=new Beamformer(soundApp, NULL); beamformer->setCaption("Beamformer 1");
   oszi = new Oszi(soundApp,NULL);
   //phasecorr = new Phasecorr(soundApp,NULL); phasecorr->setCaption("Phasecorrelator 1");
   minenergy = new Minenergy(0,1,soundApp,NULL);
   //minenergy = new Minenergy(0,2,soundApp,NULL);
   //minenergy = new Minenergy(1,2,soundApp,NULL);
   //outputplugin = new Outputplugin(48000,TRUE,soundApp);
   //showmicpos = new ShowMicPos();
   soundApp->startSampling();
   return a.exec();
} 
