#include <qlabel.h>
#include <qpainter.h>
#include <qapplication.h>
#include <qpixmap.h>
#include "sndctrl.h"
#ifndef SPEECHACTIVITY_H
#define SPEECHACTIVITY_H

class SpeechActivity : public QFrame
{
Q_OBJECT
public:
    SpeechActivity(bool verbosemode, Sound * soundApp, QWidget * parent=NULL,
               const char * name=NULL);
    ~SpeechActivity();
    void paintEvent(QPaintEvent *);
public slots:
    void newDataReady(int channels, int frameSize, signed short** data);
signals:
    void speechActivityChanged(bool);
private:
    SoundReceiver * receiver;
    QPixmap * pmred, *pmgreen;
    bool active;
    unsigned int threshhold;
    int delay;
    int * result;
    bool verbose;
};

#endif
