#ifndef MAIN_H
#define MAIN_H
#include <qwidget.h>
#include <qpushbutton.h>
#include <qcheckbox.h>

class QScrollBar;

class DrawArea : public QWidget
{
    Q_OBJECT
public:
    DrawArea(QCheckBox ** cb, QWidget *parent=0, const char *name=0);
public slots:
	void setDelay(int delay);
	void setAngle(int angle);
protected:
    void resizeEvent( QResizeEvent * );
    void DrawArea::paintEvent( QPaintEvent *);
private:
    QWidget *area;
    QCheckBox **checkbox;
    double d,a;
};


class MainWidget : public QWidget
{
  Q_OBJECT
public:
    MainWidget( QWidget *parent=0, const char *name=0 );
protected:
    void resizeEvent( QResizeEvent * );
    QCheckBox *checkbox[20];
private:
    QPushButton *quit;
    QScrollBar  *hBar, *vBar;
    DrawArea *drawarea;
};

#endif
